gcc mpc mpfr gmp源码包安装

原创 2017年01月03日 15:47:38

1.下载 gcc mpc mpfr gmp源码包

 

2.分别解压

解压:tar zxvf FileName.tar.gz
压缩:tar zcvf FileName.tar.gz DirName

 

3.依次进入mpc mpfr gmp

./configure --prefix=/home/sdn/libs   --prefix=……  -->  制定安装到哪个目录

Make

Make install

 

4.修改/etc/ld.so.conf 在最后一行加上/home/sdn/libs

保存后运行ldconfig

 

5.进入gcc

./configure --prefix=/home/sdn/libs --with-mpfr=/home/sdn/libs --disable-multilib

Make

Make install

 

6.修改/etc/profile

Export PATH=/home/sdn/libs/bin:$PATH

Source /etc/profile(使当前shell有效)

 

7.下载并解压boost

 

8.进入boost目录

./bootstrap.sh  --prefix=/home/sdn/libs

./b2

./b2 install

 

9.下载openssl

进入openssl

./config --prefix=/home/sdn/libs --shared

Make

Make install

 

10.下载curl

进入curl

注:修改ld.so.conf 加上/home/sdn/libs/lib64 运行ldconfig

./configure --prefix=/home/sdn/libs --with-ssl=/home/sdn/libs

Make

Make install

版权声明:本文为博主原创文章,未经博主允许不得转载。 举报

相关文章推荐

configure: error: Building GCC requires GMP 4.2+, MPFR 2.4.0+ and MPC 0.8.0+.

使用yum update gcc只能更新到gcc-4.4.7-11.el6.x86_64 下载了更高版本的GCC http://mirror.hust.edu.cn/gnu/gcc/gcc-4.8...

GCC源码安装出错error: Building GCC requires GMP 4.2+, MPFR 2.3.1+ and MPC 0.8.0

为了使用SSE4指令,不得不升级GCC版本,在下载了GCC源码安装包之后,安装过程中出错,error: Building GCC requires GMP 4.2+, MPFR 2.3.1+ and ...

精选:深入理解 Docker 内部原理及网络配置

网络绝对是任何系统的核心,对于容器而言也是如此。Docker 作为目前最火的轻量级容器技术,有很多令人称道的功能,如 Docker 的镜像管理。然而,Docker的网络一直以来都比较薄弱,所以我们有必要深入了解Docker的网络知识,以满足更高的网络需求。

安装GMP 和 MPFR

先安装GMP, 在安装MPFR 下载  gmp-5.0.5.tar.bz2 包 解压.tar.bz2 包: bzip2 -d  gmp-5.0.5.tar.bz2  解压完会出现一个文件 gmp-...

【转载】gcc configure: error: Building GCC requires GMP 4.2+, MPFR 2.3.1+ and MPC 0.8.0

转自:http://blog.sina.com.cn/s/blog_493667730100zt6n.html 从svn checkout svn://gcc.gnu.org/svn/gcc...

安装RPM包、源码包

一 . 软件分类 1. 二进制包软件: rpm软件包:扩展名为“.rpm” deb软件包:扩展名为“.deb” 2. 源代码软件: 一般为“.tar.gz”、” .tar.bz2”等格式的压...

CentOS下源码安装GCC 5.2.0

今天开始研读c++ primer fifth edition, 这本书遵循了C++11标准,很多新特性需要GNU compiler 4.7.0之后才支持,而CentOS6通过yum最多只能升到4.4....

Linux下源码包安装python3

Linux下默认系统大都自带python2.x的版本,这个版本被系统很多程序所依赖,故不建议删除。若使用最新的Python3,我们知道编译安装源码包和系统默认包之间是没有任何影响的,所以可以安装pyt...
返回顶部
收藏助手
不良信息举报
您举报文章:深度学习:神经网络中的前向传播和反向传播算法推导
举报原因:
原因补充:

(最多只允许输入30个字)